AddressingFeature.Responses (Java SE 10 & JDK 10 )
Keywords: javax.xml.ws.soap.AddressingFeature.Responses class

Module java.xml.ws
Package javax.xml.ws.soap

## Enum AddressingFeature.Responses

- java.lang.Object
- - java.lang.Enum<AddressingFeature.Responses>
  - - javax.xml.ws.soap.AddressingFeature.Responses

- All Implemented Interfaces:
    `Serializable`, `Comparable<AddressingFeature.Responses>`
  Enclosing class:
    AddressingFeature

      public static enum AddressingFeature.Responses
      extends Enum<AddressingFeature.Responses>

  If addressing is enabled, this property determines if endpoint requires the use of only anonymous responses, or only non-anonymous responses, or all.

  `ALL` supports all response types and this is the default value.

  `ANONYMOUS` requires the use of only anonymous responses. It will result into wsam:AnonymousResponses nested assertion as specified in 3.1.2 AnonymousResponses Assertion in the generated WSDL.

  `NON_ANONYMOUS` requires the use of only non-anonymous responses. It will result into wsam:NonAnonymousResponses nested assertion as specified in 3.1.3 NonAnonymousResponses Assertion in the generated WSDL.

  Since:
    1.7, JAX-WS 2.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | Supports all response types and this is the default
    `ANONYMOUS` | Specifies the use of only anonymous responses.
    `NON_ANONYMOUS` | Specifies the use of only non-anonymous responses.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AddressingFeature.Responses` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AddressingFeature.Responses[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANONYMOUS

          public static final AddressingFeature.Responses ANONYMOUS

      Specifies the use of only anonymous responses. It will result into wsam:AnonymousResponses nested assertion as specified in 3.1.2 AnonymousResponses Assertion in the generated WSDL.

    - #### NON_ANONYMOUS

          public static final AddressingFeature.Responses NON_ANONYMOUS

      Specifies the use of only non-anonymous responses. It will result into wsam:NonAnonymousResponses nested assertion as specified in 3.1.3 NonAnonymousResponses Assertion in the generated WSDL.

    - #### ALL

          public static final AddressingFeature.Responses ALL

      Supports all response types and this is the default

  - ### Method Detail

    - #### values

          public static AddressingFeature.Responses[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AddressingFeature.Responses c : AddressingFeature.Responses.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AddressingFeature.Responses valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null